Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tapeutils
Class Parameters

    java.lang.Object
      tapeutils.Parameters

Direct Known Subclasses:
  TapeConverterParameters, ZX81SampleAnalyzerParameters

public class Parameters
extends java.lang.Object

This class holds the parameters for conversion.

Author:
  hldswrth

Constructor Summary
`protected` | `Parameters(java.lang.String[] keys, int[] defaults)` Default constructor.
`protected` | `Parameters(java.lang.String[] keys, Parameters defaults)` Default constructor.

Method Summary
`protected int` | `getValue(int index)` Get the value at the given index.
`protected int` | `getValue(int index, boolean[] isDefault)` Get the value at the given index.
`protected void` | `init(java.util.Properties props, java.lang.String root)` Initialize values.
`protected boolean` | `setValue(int index, int newValue)` Set the value of a given property.
`protected boolean` | `updatePropertyKeyRoot(java.lang.String newValue)` Set the property key root value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameters

    protected Parameters(java.lang.String[] keys,
                         int[] defaults)

  Default constructor.

Parameters:
  `keys` -
  `defaults` -

### Parameters

    protected Parameters(java.lang.String[] keys,
                         Parameters defaults)

  Default constructor.

Parameters:
  `keys` -
  `defaults` -

Method Detail

### init

    protected void init(java.util.Properties props,
                        java.lang.String root)

  Initialize values.

  Parameters:
    `props` - The properties.
    `root` - The property key root.

### updatePropertyKeyRoot

    protected boolean updatePropertyKeyRoot(java.lang.String newValue)

  Set the property key root value.

  Parameters:
    `newValue` -
  Returns:
    Indicates whether the value has changed.

### getValue

    protected int getValue(int index)

  Get the value at the given index.

  Parameters:
    `index` -
  Returns:
    The value.

### getValue

    protected int getValue(int index,
                           boolean[] isDefault)

  Get the value at the given index.

  Parameters:
    `index` -
    `isDefault` - Indicates on output if the value is the default.
  Returns:
    The value.

### setValue

    protected boolean setValue(int index,
                               int newValue)

  Set the value of a given property.

  Parameters:
    `index` -
    `newValue` -
  Returns:
    Indicates whether the value was updated.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD